import { RuleItem } from 'async-validator';
import { FieldNode } from './utils';
export declare type ValidateMode = 'change' | 'focusout';
export declare type FormOptions<Values extends object> = {
    defaultValues?: Values;
    shouldUnregister?: boolean;
    validateMode?: ValidateMode;
};
export declare type FieldOptions = {
    rule?: RuleItem;
};
export declare type Error = {
    message: string;
    field: string;
};
export declare type Errors = {
    [field: string]: Error[] | undefined;
};
export declare const useForm: <T extends object>({ defaultValues, shouldUnregister, validateMode, }: FormOptions<T>) => {
    values: import("vue").UnwrapRef<T>;
    useField: (path: string | (string | number)[], options?: FieldOptions) => {
        ref: (nodeRef: FieldNode) => void;
        value: any;
        error: {
            message: string;
            field: string;
        }[] | undefined;
    };
    get: (path: string, defaultValue: any) => void;
    set: (path: string, value: any) => void;
    getFieldValues: () => Partial<T>;
    validateFields: () => Promise<void>;
    validateField: (path: any) => Promise<void>;
    errors: {
        [x: string]: {
            message: string;
            field: string;
        }[] | undefined;
    };
    handleSubmit: (onSubmit: (fieldValues: Partial<T>) => any) => (e: Event) => Promise<void>;
};
